Page MenuHomePhabricator

New Pages Feed: list draft states and dates in the feed
Closed, ResolvedPublic

Description

This is a task for a user story that was initially scoped out of the New Pages Feed project, but now seems to be easier than we initially thought. Therefore, I am creating the task so that we can attempt it. These are the user stories:

  • As a reviewer, I need to see a draft's state to be displayed with its listing in the New Pages Feed.
  • As a reviewer, I need to see a draft's most recent submitted date and declined date with its listing in the New Pages Feed.

Specifically, when "Articles for Creation" is selected for the New Pages Feed:

  • Add an element to the listing of drafts in the New Pages Feed that says the draft's state along with the preface "AfC:". The engineer can decide where in the listing it makes most sense to put this. These are the possible values:
    • AfC: Unsubmitted
    • AfC: Awaiting review
    • AfC: Under review
    • AfC: Declined
  • Add an element to the listing of drafts in the New Pages Feed that says the draft's most recent AfC submission date. Ideally, this would be right-aligned, like the creation date is currently. The date could be listed under the creation date, but not in bold, along with the preface "Submission date:". Therefore, a listing would look like, "Submission date: 20:43, 9 July 2018". If a draft has never been submitted, it should say, "Submission date: N/A".
  • Add an element to the listing of drafts in the New Pages Feed that says the draft's most recent AfC declined date. Ideally, this would be right-aligned, like the creation date is currently. The date could be listed under the submission date, but not in bold, along with the preface "Declined date:". Therefore, a listing would look like, "Declined date: 20:43, 10 July 2018". If a draft has never been submitted, it should say, "Declined date: N/A".
  • The above changes should leave the "New Page Patrol" experience unaltered.

Event Timeline

@kostajh -- below is an early mockup of what the listing in the feed might look like with additional elements added. You can use your own judgment on how to arrange it, but this could provide some inspiration.

JTannerWMF removed a subscriber: JTannerWMF.
MaxSem removed a subscriber: MaxSem.Jul 16 2018, 6:27 PM
Niharika removed a subscriber: Niharika.Jul 16 2018, 7:36 PM
Catrope changed the edit policy from "Custom Policy" to "All Users".Jul 18 2018, 5:57 PM
kostajh triaged this task as Normal priority.Jul 18 2018, 9:35 PM

@MMiller_WMF I wanted to clarify something: the mockup shows "State: Awaiting Review" in the "New Page Patrol" mode, but you only want "State" to show up in the "Articles for Creation" mode, right?

@kostajh -- yes, that's correct. This mockup was more conceptual than literal, and you understand the use case correctly.

Change 447103 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/PageTriage@master] Add ORES and AfC information to list items

https://gerrit.wikimedia.org/r/447103

@SBisson the same field (update_reviewed_timestamp, see ArticleCompileAfcTag.php) is used when a draft is submitted or declined, so the mockup and specs here aren't achievable as is. We have some options

  1. If the draft is in submitted state, show "Submission date" and the update_reviewed_timestamp date, if it's in declined state, show "Declined date" and the update_reviewed_timestamp date. Only one additional date would be added to the individual item view.
  2. Store submission date and declined date as separate fields.

On a related note, in talking with @MMiller_WMF , we were discussing the UX around having 6 sort options that aren't totally accurate (there are really only 4 options -- "Last AfC action" is what we mean by "Deletion" / "Submission" sort options). Depending on what we do here, we might choose to revisit the six dropdown options.

Thanks, @kostajh.

Kosta helped me realize that the user stories and requirements here are not consistent. We wanted to be able to sort "Declined" drafts by declined date, and "Awaiting review" drafts by submitted date, but that doesn't account for the use case in which they are both present in the list -- namely when the "All" state is selected.

So I see three ways to deal with this:

  1. Change things to store most recent declined date and most recent submitted date separately, display them both in the list for all drafts that have them. Allow sorting by both regardless of draft state.
  2. Keep the data stored the way it is, and list submitted dates for drafts of states "Awaiting review" and "Under review", and list declined dates for drafts of state "Declined", and change the sort option to "Most recent AfC action".
  3. When states "Awaiting review" and "Under review" are selected, the sort options contain "submitted date". When state "Declined" is selected, the sort options contain "declined date", and when states "All" and "Unsubmitted" are selected, the sort options contain neither.

I would like us to do whatever is the least work, so that we can get things into the hands of the community ASAP, and then we can learn whether other options are preferred.

SBisson claimed this task.Aug 1 2018, 1:26 AM

Change 447103 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Add ORES and AfC information to list items

https://gerrit.wikimedia.org/r/447103

@MMiller_WMF - all logic with filters is in place. Below are minor observations that you may need to sign off:

(1) Presently the labels - Predicted class/Predicted issues and Status - are not bolded as they were in your mockup. Probably, bolding will make the information more noticeable?

(2) In betalabs, 16 drafts out of 21 have Predicted issues: N/A; 1 out 21 has Predicted class: N/A. Is it expected do not have some ORES scores or it's a limitation of betalabs env?

(3)

If a draft has never been submitted, it should say, "Submission date: N/A".
If a draft has never been submitted, it should say, "Declined date: N/A".

Such info is not listed - if the state of a draft is 'Unsubmitted' - no date except of creation date will be provided:


If a draft never was declined (or it was declined but re-submitted) only relevant to the current state date will be displayed.

(4)

The above changes should leave the "New Page Patrol" experience unaltered.

Patrolling process the pages in Article/User namespaces is unaffected. But "New Page Patrol" will display ORES related scores - both types are N/A now.

The info is listed in the feed sufficiently for the community to test it. I am still thinking about whether it could be presented better, and I'll file that separately if we want to change anything. Moving to Done.

MMiller_WMF closed this task as Resolved.Aug 16 2018, 8:06 PM